Get Income Definitions
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/incomeTypeDefinitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/incomeTypeDefinitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/incomeTypeDefinitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"incomeType": "TAX_FREE_INTEREST_OTHER_STATE",
"definitions": "Enter the amount of interest earned on Municipal Bonds issued out of the state. These are the bonds which are federal tax free and issued by various state agencies and are not state tax free if issued by other states than this state."
}
]Tax Engine Express
Get Income Definitions
Get investment income type definitions, by state, for calculating investment income tax
GET
/
v5
/
taxEngineExpress
/
incomeTypeDefinitions
Get Income Definitions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
Successful operation
Example:
"TAX_FREE_INTEREST_OTHER_STATE"
Example:
"Enter the amount of interest earned on Municipal Bonds issued out of the state. These are the bonds which are federal tax free and issued by various state agencies and are not state tax free if issued by other states than this state."
⌘I